<template>
    <div>
        <app-address v-for="address in addresses"
                     :key="address.id"
                     :address="address"
                     v-on:onDeleteAddress="onDeleteAddress($event)"
        ></app-address>
    </div>
</template>

<script>
    import Address from './address.vue'
    import App from '../App.vue'
    import AddressService from '../services/AddressService.js'

    let addressService = new AddressService();

    export default {
        methods: {
            onDeleteAddress(address) {
                this.$emit('onDeleteAddress', address);
            }
        },
        components: {
            'app-address': Address
        },
        props: ['addresses']
    }
</script>